Documentation

System Requirements - Ubuntu

Hardware Requirements:

  1. Processor: 1.60GHz or higher
  2. RAM: 3GB or higher

Software Requirements:

Composer Installation:

Instruction Link -https://getcomposer.org/download/

PHP Installation:

Command:

sudo add-apt-repository ppa:ondrej/php
sudo apt-get update
fter that, pick and run below structured command related to the PHP version of your system/server.

For php 7.0:

apt-get -y install php7.0 php7.0-curl php7.0-intl php7.0-gd php7.0-dom php7.0-mcrypt php7.0-iconv php7.0-xsl php7.0-mbstring php7.0-ctype php7.0-zip php7.0-pdo php7.0-xml php7.0-bz2 php7.0-calendar php7.0-exif php7.0-fileinfo php7.0-json php7.0-mysqli php7.0-mysql php7.0-posix php7.0-tokenizer php7.0-xmlwriter php7.0-xmlreader php7.0-phar php7.0-soap php7.0-mysql php7.0-fpm libapache2-mod-php7.0 php7.0-gmp php7.0-bcmath php7.0-apcu php7.0-redis php7.0-imagick php7.0-imap php7.0-xdebug

For php 7.1:

apt-get -y install php7.1 php7.1-curl php7.1-intl php7.1-gd php7.1-dom php7.1-mcrypt php7.1-iconv php7.1-xsl php7.1-mbstring php7.1-ctype php7.1-zip php7.1-pdo php7.1-xml php7.1-bz2 php7.1-calendar php7.1-exif php7.1-fileinfo php7.1-json php7.1-mysqli php7.1-mysql php7.1-posix php7.1-tokenizer php7.1-xmlwriter php7.1-xmlreader php7.1-phar php7.1-soap php7.1-mysql php7.1-fpm libapache2-mod-php7.1 php7.1-gmp php7.1-bcmath php7.1-apcu php7.1-redis php7.1-imagick php7.1-imap php7.1-xdebug

For php 7.2:

apt-get -y install php7.2 php7.2-curl php7.2-intl php7.2-gd php7.2-dom php7.2-iconv php7.2-xsl php7.2-mbstring php7.2-ctype php7.2-zip php7.2-pdo php7.2-xml php7.2-bz2 php7.2-calendar php7.2-exif php7.2-fileinfo php7.2-json php7.2-mysqli php7.2-mysql php7.2-posix php7.2-tokenizer php7.2-xmlwriter php7.2-xmlreader php7.2-phar php7.2-soap php7.2-mysql php7.2-fpm libapache2-mod-php7.2 php7.2-gmp php7.2-bcmath php7.2-apcu php7.2-redis php7.2-imagick php7.2-imap php7.2-xdebug

For php 7.3:

apt-get -y install php7.3 php7.3-curl php7.3-intl php7.3-gd php7.3-dom php7.3-iconv php7.3-xsl php7.3-mbstring php7.3-ctype php7.3-zip php7.3-pdo php7.3-xml php7.3-bz2 php7.3-calendar php7.3-exif php7.3-fileinfo php7.3-json php7.3-mysqli php7.3-mysql php7.3-posix php7.3-tokenizer php7.3-xmlwriter php7.3-xmlreader php7.3-phar php7.3-soap php7.3-mysql php7.3-fpm libapache2-mod-php7.3 php7.3-gmp php7.3-bcmath php7.3-apcu php7.3-redis php7.3-imagick php7.3-imap php7.3-xdebug

IMAP and Mailparse Installation:

Mailparse Extention Command:

apt-get install php < version > -mailparse

or

pecl install mailparse

Note: Add "extension=mailparse.so" in php.ini file of the php version you are using.

IMAP Extention Command:

apt-get install php < version > -imap

Server:

Apache

Database:

MySQL